LocalFileSaveTask (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit.io

## Class LocalFileSaveTask

- java.lang.Object
- - org.gjt.sp.util.Task
  - - org.gjt.sp.jedit.io.LocalFileSaveTask

- All Implemented Interfaces:
    java.lang.Runnable, ProgressObserver

      public class LocalFileSaveTask
      extends Task

  The Task for asynchronous saving local file to disk ommiting VFS API stack. Can be used to store backup files, settings, etc
  Since:
    jEdit 4.5pre TODO: Add setLabel() & ProgressObserver methods
  Example:
    This class used for example by ftp.FtpVFS to perform local backups of remote files in background with no GUI freeze, ThreadUtilities.runInBackground( new LocalFileSaveTask(...) )

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalFileSaveTask(java.io.File file, java.lang.String body, java.lang.String charset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_run()` This is the method you have to implement and that will be executed in the thread.

    - ### Methods inherited from class org.gjt.sp.util.Task

      `cancel, getLabel, getMaximum, getState, getStatus, getValue, isCancellable, run, setCancellable, setLabel, setMaximum, setStatus, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalFileSaveTask

          public LocalFileSaveTask(java.io.File file,
                                   java.lang.String body,
                                   java.lang.String charset)

  - ### Method Detail

    - #### _run

          public void _run()

      Description copied from class: `Task`
      This is the method you have to implement and that will be executed in the thread.
      Specified by:
        `_run` in class `Task`
      See Also:
        `Task._run()`